---
# Setze den Hostnamen
- name: Setze den Hostnamen
  hostname: 
    name: "{{ infoscreen_name }}"
  when: prepareHost  
# Schreibe den Hostnamen in /etc/hostname
- name: Schreibe den Hostnamen in /etc/hostname
  copy:
    content: "{{ infoscreen_name }}"
    dest: /etc/hostname
    owner: root
    group: root
    mode: '0644'
  when: prepareHost  

# Bearbeite /etc/hosts und stelle sicher, dass nur eine Zeile 127.0.1.1 existiert
- name: Bearbeite /etc/hosts und setze die 127.0.1.1 Zeile
  lineinfile:
    path: /etc/hosts
    regexp: '^127\.0\.1\.1\s+.*'
    line: "127.0.1.1 {{ infoscreen_name }}"
    create: yes
  when: prepareHost  

# Schreibe die URL in /boot/firmware/fullpageos.txt
- name: Schreibe die URL in /boot/firmware/fullpageos.txt
  copy:
    content: "{{ infoscreen_url }}"
    dest: /boot/firmware/fullpageos.txt
    owner: root
    group: root
    mode: '0644'
  when: prepareHost  
# Installiere den MQTT-Client zur Steuerung
- name: Installiere mosquitto-clients und aktualisiere den APT-Cache nur bei Bedarf
  become: yes
  apt:
    name: mosquitto-clients
    state: present
    update_cache: yes
    cache_valid_time: 86400  # Gültigkeit des Cache 24 Stunden (86400 Sekunden)
  when: enableMQTTcronjob and prepareHost
 
